## festvox-czech-machac 1.0.0

=== Makefile ===
# Configuration

festival_voices_path = /usr/share/festival/voices
estdir = /usr

# End of configuration

voice_name := machac
package := voice-czech-$(voice_name)
version := 1.0.0

destdir = $(festival_voices_path)/czech/czech_$(voice_name)

.PHONY: all install uninstall dist dist-src dist-bin lpc-files

all: festvox/czech_$(voice_name).scm lpc-files group/$(voice_name).group

lpc-files: $(patsubst wav/%.wav, lpc/%.lpc, $(wildcard wav/*.wav))
lpc/$(voice_name)0000.lpc: wav/$(voice_name)0000.wav pm/$(voice_name)0000.pm
	mkdir -p lpc
	ESTDIR="$(estdir)" ./tools/make_lpc $<
lpc/%.lpc: wav/%.wav pm/%.pm etc/powfacts
	ESTDIR="$(estdir)" ./tools/make_lpc $<

festvox/czech_$(voice_name).scm: festvox/czech_$(voice_name).scm.in
	sed 's/DESTDIR/$(subst /,\/,$(destdir))/' $< > $@

group/$(voice_name).group: lpc-files
	mkdir -p group
	festival -b make-group.scm

clean:
	rm -rf $(package)-$(version)
	rm -rf $(package)-bin-$(version) $(package)-bin-$(version).tar
	rm -f $(package)-$(version).tar.bz2 $(package)-bin-$(version).tar.bz2
	rm -f festvox/czech_$(voice_name).scm

distclean: clean
	rm -f lpc/* group/*

maintainer-clean: distclean

install: group/$(voice_name).group festvox/czech_$(voice_name).scm
	install -d $(destdir)
	install -d $(destdir)/festvox
	install -m 644 festvox/czech_$(voice_name).scm $(destdir)/festvox/
	install -d $(destdir)/group
	install -m 644 group/$(voice_name).group $(destdir)/group/

uninstall:
	rm -f $(destdir)/festvox/czech_$(voice_name).scm $(destdir)/group/$(voice_name).group
	-rmdir $(destdir)/festvox
	-rmdir $(destdir)/group

dist: clean dist-src dist-bin

dist-src:
	git archive --format=tar --prefix=$(package)-$(version)/ HEAD | bzip2 -9 -c > $(package)-$(version).tar.bz2

dist-bin: all
	rm -rf $(package)-bin-$(version) $(package)-bin-$(version).tar $(package)-bin-$(version).tar.bz2
	mkdir $(package)-bin-$(version)
	cp -a COPYING INSTALL README* festvox group $(package)-bin-$(version)/
	sed '/festival -b make-group.scm/d' Makefile > $(package)-bin-$(version)/Makefile
	for d in `find $(package)-bin-$(version) -name .git`; do rm -r $$d; done
	tar cf $(package)-bin-$(version).tar $(package)-bin-$(version)
	bzip2 -9 $(package)-bin-$(version).tar

=== debian/changelog ===
festvox-czech-machac (1.0.0-5) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 01:17:46 +0100

festvox-czech-machac (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use canonical anonscm vcs URL.
  * control: Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:42:15 +0200

festvox-czech-machac (1.0.0-3) unstable; urgency=medium

  [ Sergio Oller ]
  * Package maintained by the debian tts team. Closes: #730990
  * Switch to dh builds. Closes: #753179
  * Bump Standards-Version to 3.9.8.
  * Update debian/compat to 9.

  [ Samuel Thibault ]
  * Fix build due to missing empty lpc directory.

 -- Sergio Oller <sergioller@gmail.com>  Wed, 18 Jan 2017 00:40:41 +0100

festvox-czech-machac (1.0.0-2) unstable; urgency=low

  * Fix copyright and license of files in `tools' directory of the .orig
    tarball.
  * Add upstream AUTHORS file to installed documentation.
  * Support `parallel' in DEB_BUILD_OPTIONS.
  * Add gbp.conf to tell git-buildpackage about non-standard branch
    layout.

 -- Boris Dušek <dusek@brailcom.org>  Sat, 16 Apr 2011 18:25:03 +0200

festvox-czech-machac (1.0.0-1) unstable; urgency=low

  * Initial release.

 -- Boris Dušek <dusek@brailcom.org>  Thu, 30 Mar 2011 18:41:12 +0200

=== debian/control ===
Source: festvox-czech-machac
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
Uploaders: Sergio Oller <sergioller@gmail.com>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: festival, speech-tools
Standards-Version: 4.4.0
Homepage: http://devel.freebsoft.org/festival-czech-diphone-database
Vcs-Git: https://salsa.debian.org/tts-team/festvox-czech-machac.git
Vcs-Browser: https://salsa.debian.org/tts-team/festvox-czech-machac

Package: festvox-czech-machac
Architecture: all
Depends: festival, festival-czech, ${misc:Depends}
Description: Czech adult male speaker "machac" for Festival
 This is a native Festival Czech adult male diphone voice "machac", developed
 by the Free(b)soft project.

=== debian/rules ===
#!/usr/bin/make -f

package := festvox-czech-machac

override_dh_auto_build:
	mkdir -p lpc
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install festival_voices_path=debian/$(package)/usr/share/festival/voices

%:
	dh $@

=== debian/watch ===
version=3
http://devel.freebsoft.org/pub/projects/festival-czech-diphone-database/voice-czech-machac-@ANY_VERSION@@ARCHIVE_EXT@
